# Property of Four Js*
# (c) Copyright Four Js 1995, 2016. All Rights Reserved.
# * Trademark of Four Js Development Tools Europe Ltd
#   in the United States and elsewhere
# 
# Four Js and its suppliers do not warrant or guarantee that these
# samples are accurate and suitable for your purposes. Their inclusion is
# purely for information purposes only.

#/bin/bash
#env
echo "SRCROOT=$1,ACTION=$2,SDKROOT=$SDKROOT"
if [ "$ACTION" == "build" ] 
then
  ACTION=all
fi
if [ -d $SRCROOT/../phoneMain ]
then
  FGLDIR=$SRCROOT/../../..
else # dev repository, don't look at this
  FGLDIR=$SRCROOT/../../fgl/opt/fgl
fi
export PATH=$FGLDIR/bin:$PATH
cd $SRCROOT
echo "pwd:`pwd`, FGLDIR:$FGLDIR"
if [[ $SDKROOT == *"imulator"* ]]
then
#we have chosen one of the simulators in the IDE
  TARGET="simulator"
  APP=$SRCROOT/build/iphonesimulator/GMI.app
else
#we have chosen a real phone, IDENTITY and PROVISIONING profile should be set in the Makefile
  TARGET="phone"
  APP=$SRCROOT/build/iphoneos/GMI.app
fi

rm -rf $SRCROOT/build/iphonesimulator/GMI.app

echo "make FGLDIR=$FGLDIR TARGET=$TARGET $ACTION"
FGLDIR=$FGLDIR make FGLDIR=$FGLDIR TARGET=$TARGET $ACTION

if [[ $TARGET == "phone" ]]
then
#simply copy the phone executable to the simulator location
#to avoid having 2 schemes
  mkdir -p $SRCROOT/build/iphonesimulator
  cp -a $SRCROOT/build/iphoneos/GMI.app $SRCROOT/build/iphonesimulator/GMI.app
fi
