Scan PDF417 bar codes and others with GMI
=========================================

This project is a replacement for the built in "mobile" "scanBarCode" frontcall
which cannot scan PDF417 codes.

Requirements
------------

- Genero BDL (Genero Business Development Language)
- Genero Mobile for iOS (installed over FGLDIR)
- gmibuildtool
- Xcode 7.2 ( and further)
- iOS 8 (and further)
- FGLDIR need to be set and $FGLDIR/bin in the PATH

Steps
-----

##### 1 - Preparations
- Edit the Makefile and replace the following parameters :
	- BUNDLE_IDENTIFIER = your iOS app identifier
	- IDENTITY = your iOS app certificate name (Development or Production)
	- PROVISIONING_PROFILE = your iOS app path to development or production provisioning profile
```

##### 4 - Install demo on a device from terminal

**Don't forget to have a device added on your iOS app under you iOS developer account**

```
$ make gmi.install

```

##### 5 - How to use

- Tap "Scan code" :
	- The camera should open
	- if a code is detected, the current screen closes and the frontcall ends with displaying the results
